<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$des = str_majuscules(strip_tags(str_escape(trim(@$_POST["des"]))));
$notes = strip_tags(str_escape(trim(@$_POST["notes"])));
$valid = strip_tags(trim(@$_POST["valid"]));
if ($valid=="Oui")
	$valid=1;
else
	$valid=0;
$coutk = strip_tags(trim(@$_POST["coutk"]));
$coutf = strip_tags(trim(@$_POST["coutf"]));
$coutas = strip_tags(trim(@$_POST["coutas"]));
if ($coutas=="ok")
	$coutas=1;
else
	$coutas=0;
$kmi = strip_tags(trim(@$_POST["kmi"]));
$kmill = strip_tags(trim(@$_POST["kmill"]));
if ($kmill=="ok")
	$kmill=1;
else
	$kmill=0;
$kms = strip_tags(trim(@$_POST["kms"]));
$coutc = strip_tags(trim(@$_POST["coutc"]));
$tpsdi = strip_tags(trim(@$_POST["tspdi"]));
if ($tpsdi=="Oui")
	$tpsdi=1;
else
	$tpsdi=0;

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
switch ($td)
{
	// Ajout de la fiche Moyen
	case "add" :
		$rech = "SELECT * FROM " .TBMT. " WHERE `mt_code` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech = "INSERT INTO " .TBMT. " (mt_code,mt_des,mt_notes,mt_valid,mt_coutk,mt_coutf,mt_coutas,mt_kmi,mt_kmill,mt_kms,mt_coutc,mt_tpsdi)";
			$rech.=" VALUES ('$code','$des','$notes','$valid','$coutk','$coutf','$coutas','$kmi','$kmill','$kms','$coutc','$tpsdi')";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;
		
	// Modification de la fiche Moyen
	case "edit" :
		$rech = "SELECT * FROM " .TBMT. " WHERE `mt_code` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 1)
		{
			$rech = "UPDATE `" .TBMT. "` SET `mt_des`='".$des."', `mt_notes`='".$notes."', `mt_valid`='".$valid."',";
			$rech.=" `mt_coutk`='".$coutk."',`mt_coutf`='".$coutf."', `mt_coutas`='".$coutas."',";
			$rech.=" `mt_kmi`='".$kmi."', `mt_kmill`='".$kmill."', `mt_kms`='".$kms."',";
			$rech.=" `mt_coutc`='".$coutc."', `mt_tpsdi`='".$tspdi."'";
			$rech.=" WHERE `mt_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_mod;
		}
		else
		{
			$msg = $txt_fiche_modnotok;
			$retourliste = FALSE;
		}
		break;

	// Suppression de la fiche Moyen
	case "del" :
		$delok=TRUE;
		// Vérifie si utilisé dans une fiche détail intervention
		$rexist = "SELECT * FROM `" .TBINTH. "` WHERE `inth_acodemt` = '$code' OR `inth_rcodemt` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			$msg = "Ce moyen de transport est utilis&eacute; dans un détail intervention";
			$delok=FALSE;
			$retourliste = FALSE;
		}
		
		// Vérifie si utilisé dans une fiche détail dossier
		$rexist = "SELECT * FROM `" .TBDOSD. "` WHERE `dosd_acodemt` = '$code' OR `dosd_rcodemt` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			$msg = "Ce moyen de transport est utilis&eacute; dans un détail dossier";
			$delok=FALSE;
			$retourliste = FALSE;
		}
		
		if ($delok==TRUE)
		{
			// Non - > suppression de la fiche Moyen
			$rech = "DELETE FROM `" .TBMT. "` WHERE `mt_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_del;
		}
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Moyen de transport</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenętres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>
<?PHP
if ($tx<>"r")
	include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>
<?PHP 
if ($retourliste == FALSE)
	aff_ret_idx_man($td,"mt_lst.php",$txt_lnk_ret_liste,TRUE);
else
	aff_ret_lst_auto("mt_lst.php",2000);
include_once("pied.php");
?>